Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519728 - Weather plugin settings lost after the boot
Summary: Weather plugin settings lost after the boot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-weather-plugin
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 10:34 UTC by Jaroslav Škarvada
Modified: 2018-05-29 11:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:33:00 UTC


Attachments (Terms of Use)

Description Jaroslav Škarvada 2017-12-01 10:34:49 UTC
Description of problem:
This is probably related to bug 1447901. The condition described in bug 1447901 happened to me again. Now the location settings persisted (i.e. it seems the bug 1447901 is fixed), but other settings got lost, i.e. was reset to default - I have set the plugin to show only temperature and do not animate, but this was reset to default.

I don't know what's the exact case for this condition to trigger. It usually sometimes triggers after boot. I was on corporate ethernet network when it triggered last time. It manifested as no weather data shown (so it maybe related to some network problem, or networkmanager / DHCP being too slow after the boot). When I right-clicked the weather icon and selected "update", the weather starts showing, but all the settings (except the location) was reset to default.

So it's now much better then it was with the bug 1447901 unfixed, but whatever upstream did to fix the location reset should be also done for the rest of settings.

Version-Release number of selected component (if applicable):
xfce4-weather-plugin-0.8.10-1.fc26.x86_64

How reproducible:
Sometimes

Steps to Reproduce:
1. Boot

Actual results:
Sometimes after the boot, the weather plugin settings (except location setting) is reset to default

Expected results:
The settings is not reset to default

Additional info:

Comment 1 Jaroslav Škarvada 2017-12-28 10:53:58 UTC
Maybe it's somehow related to bug 1529486 or vice versa, I crashed xfce4-panel when I right-clicked the xfce4-weather icon and selected properties to configure the plugin again after this bug happened.

Comment 2 Fedora End Of Life 2018-05-03 08:06:49 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 11:33:00 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.